Update Supplier
curl --request PATCH \
--url https://app.polygon-one.com/api/suppliers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"name": "<string>",
"contactName": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"externalSupplierId": "<string>"
},
"articleIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://app.polygon-one.com/api/suppliers/{id}"
payload = {
"fields": {
"name": "<string>",
"contactName": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"externalSupplierId": "<string>"
},
"articleIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: {
name: '<string>',
contactName: '<string>',
country: '<string>',
email: 'jsmith@example.com',
externalSupplierId: '<string>'
},
articleIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://app.polygon-one.com/api/suppliers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"details": "<unknown>"
}Suppliers
Update Supplier
Update supplier fields and/or replace article associations. Uses a nested structure with fields for data updates and articleIds for link management.
PATCH
/
api
/
suppliers
/
{id}
Update Supplier
Authorizations
API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.
Path Parameters
Body
application/json
Response
Updated successfully
⌘I